Hi all, Simple question - sure ive seen it discussed but couldn't find anything on google just now. show form, click command button, hide form, select object, return to form, use object. '(oEnt is declared at form level) 'in command button Private Sub cmdPick_Click() SelectTarget End Sub 'sub called by above button click Private Sub SelectTarget() Dim basePoint(0 To 2) As Double 'this works Me.Hide 'this sometimes works(from ide)sometimes i have to manually get acad focus ThisDrawing.Application.Visible = True 'this works 'will put error code here when get the basics working ThisDrawing.Utility.GetEntity oEnt, basePoint, "Select an object" 'this works lblTarget.Caption = "Object: " & oEnt.ObjectName & vbCrLf & _ "Layer: " & oEnt.Layer 'this works (form comes back) Me.Show 'this never runs - nothing after me.show happens If oEnt Is Nothing Then lblRead.Caption = "nOTHING" Else lblRead.Caption = "Got oEnt: " & oEnt.ObjectName End If End Sub if i move me.show to last line in sub the last if statement works so does me.show always have to be last line in any sub like this? why is that? That would seem to mean after getting my object i can't do any further processing - without hitting another command button or something... I know that's not right but don't know what I'm missing. Thanks Mark